<?php
/**
 * Generates the uri prefix from the current uri. It appends a 
 * slash if the uri does not have a trailing slash
 */
function generate_uriprefix() {
	$uri = zget('/request/uri');
	// Get rid of query parameters
	$query = strpos($uri, '?');
	if ($query === false) {
		$returi = $uri;
	} else {
		$returi = substr($uri, 0, $query);
	}
	if (substr($returi, -1) != '/') {
		$returi .= '/';
	}
	return $returi;
}

function property_decode($propString) {
    $propertyArray = array();
    $tempArray = explode("\n", $propString);
    foreach($tempArray as $property) {
        $propertyPair = explode(":", $property);
        if (count($propertyPair) == 2) {
            $propertyArray[$propertyPair[0]] = $propertyPair[1];
        }
    }
    return $propertyArray;
}
?>